
#definir lista
anime= ["Kimetsu", "Dr. Stone", "Solo Leveling"]
numeros = [1,2,3,4]
variada= ["soy una cadena", 34, 34.45, True, None]

#tambien se pueden definir con list pero list requiere un solo parámetro
#la forma sería insertarle una tupla o con range
# list((1,3,5,6)) o list(range(10,50))

#indices
print(anime[1])
#tambien puedo usar indices negativos, viene de atrás para adelante arrancando de 1
print (anime[-2])
#imprimir sublistas, 0:2 imprime lo que está en los indices 0 y 1
#  0:1 imprime solo  lo que está en el subindice 0
print (anime[0:2])
print (anime[1:]) # desde el subindice 1 en adelante

#modificar contenidos con indices
anime[1] = "Tensei Shitara"
print(anime)

#añadir elementos a una lista
anime.append("whistoria")
print(anime)

#cargar con bucle
nuevo_anime=""
while nuevo_anime != "parar":
    nuevo_anime= input("introduzca un nuevo anime")
    if nuevo_anime != "parar":
        anime.append(nuevo_anime)
#recorrer una lista con for

for ani in anime:
    print(ani)
    print(f"{anime.index(ani)}.{ani}")

#listas dentro de otras listas

contactos = [
    [
        "Cristian",
        "cristian@cristian.com"
    ],
    [
        "pablo",
        "pablo@pablo.com"
    ]
]
print(contactos[1][1])

for contacto in contactos:
    for elemento in contacto:
        print(elemento)
    print("\n" )


#métodos y funciones predefinidas

peliculas = ["donde están las rubias?", "Esposa de mentiras", "Interstelar" ]
numeros= [1,2,5,8,3,4]

numeros.sort() #ordena la lista

peliculas.insert(5,"Bohemyan Rapsody") #tambien agregar pero hay que poner el indice

peliculas.pop(1) #pop elimina un indice

peliculas.remove("Interstelar") #borra por contenido, tiene que ser exacto

numeros.reverse() # dar la vuelta la lista

print(1 in  numeros) #busca algo especifico, devuelve true o false

print(len(peliculas)) #cantidad de elementos

print(numeros.count(1)) #cantidad de veces que aparece un elemento

print(numeros.index(5)) #en qué indice se encuentra un dato

peliculas.extend(numeros) #unir dos listas

print(peliculas)


